/*
        __                     __        ___  __   __     __   ___  __      ___  __   __                        __    __  ___  __
\  / | /__` |  |  /\  |       /  \ \  / |__  |__) |__) | |  \ |__  /__`    |__  /  \ |__)     /\  |    |       /__` |  / |__  /__`
 \/  | .__/ \__/ /~~\ |___    \__/  \/  |___ |  \ |  \ | |__/ |___ .__/    |    \__/ |  \    /~~\ |___ |___    .__/ | /_ |___ .__/
*/

input#menu-trigger,
input#menu-trigger ~ label[for='menu-trigger'] {
  display: none;
}

input[type='file'] ~ button[type='submit'].green,
body.login .box.box-color.satblue .btn.btn-primary,
#MainContentBlock #player-div .take-action button.green {
  background: linear-gradient(to bottom, #fff 0, #72c6e4 3%, #0c5fa5 100%);
  background-size: 100% 100%;
  border: 1px solid;
  border-color: #50a3c8 #297cb4 #083f6f;
  border-radius: 0.333em !important;
  box-shadow: 0 1px 4px rgb(0 0 0 / 40%) !important;
  color: white;
  cursor: pointer;
  display: inline-block;
  font-size: 1.167em;
  font-weight: bold;
  line-height: 1.429em;
  padding: 0.286em 1em 0.357em;
  text-shadow: 0 1px 2px rgb(0 0 0 / 40%);
}

/* Login page
-------------------------------------------------- */

body.login {
  align-items: center;
  display: flex;
  justify-content: center;
}
body.login .wrapper {
  position: static;
}

body.login .tabs {
  align-items: stretch;
  display: flex;
  justify-content: stretch;
}
body.login .tabs li {
  flex: 1 1 50%;
}

body.login .login-body form .form-group:nth-of-type(3) {
  display: flex;
  flex-direction: column;
}
body.login .login-body form .form-group:nth-of-type(3) .col-sm-6 {
  float: none;
  width: auto;
}
body.login .login-body form .form-group:nth-of-type(3) .col-sm-6:first-child {
  font-size: 11px;
  order: 2;
  margin-top: 4px;
}
body.login .login-body .row .col-md-12 {
  margin-top: 0 !important;
  padding-left: 45px !important;
  padding-right: 45px !important;
}
body.login .login-body .row .col-md-12 > div {
  border-radius: 5px;
  box-sizing: border-box;
  font-size: 11px;
  padding: 10px 15px !important;
}

body.login .box.box-color.satblue .btn.btn-primary {
  width: 100%;
}

body.login .wrapper .login-body .email input,
body.login .wrapper .login-body .pw input {
  background: linear-gradient(to bottom, #d4d4d4 0, #ebebeb 3px, white 100%) !important;
  border: 1px solid #89bad3;
  color: #333333;
  font-size: 1em;
  line-height: 1em;
  padding: 0.5em;
  -moz-border-radius: 0.417em;
  -webkit-border-radius: 0.417em;
  border-radius: 0.417em !important;
}

/*
       ___  __             __   __   ___            __   __    ___  __
 |\/| |__  |  \ |  /\     |__) |__) |__   /\  |__/ |__) /  \ |  |  /__`
 |  | |___ |__/ | /~~\    |__) |  \ |___ /~~\ |  \ |    \__/ |  |  .__/
*/

/*=============================================
=   Small screens, laptops and smaller        =
=============================================*/

@media screen and (max-width: 1024px) {
  /* Profile
  -------------------------------------------------- */

  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td,
  .block-content form[name='stuForm'].form #addnew > table > tbody > tr > td {
    display: block;
    width: 100%;
  }
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td[width^='3'],
  .block-content form[name='stuForm'].form #addnew > table > tbody > tr > td[width^='3'] {
    display: none;
  }

  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table {
    display: block;
    font-size: 0;
  }
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table > tbody {
    box-sizing: border-box;
    display: block;
  }
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table > tbody > tr,
  .block-content form[name='stuForm'].form #addnew > table > tbody > tr > td > table > tbody > tr {
    border: 0;
    border-top: 1px dashed #b7b7b7;
    box-sizing: border-box;
    display: inline-block;
    font-size: 12px;
    padding: 15px 0 10px;
    vertical-align: top;
    width: 50%;
  }
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table > tbody > tr:nth-child(2n),
  .block-content form[name='stuForm'].form #addnew > table > tbody > tr > td > table > tbody > tr:nth-child(2n + 1) {
    padding-right: 15px;
  }
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table > tbody > tr[style^='border-bottom'] {
    border: 1px solid #999999;
    padding: 15px;
    width: 100%;
  }
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table > tbody > tr[style^='border-bottom'] table {
    background: #d5d8db;
    margin-top: 20px;
    padding: 20px;
  }
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table > tbody > tr[style^='border-bottom'] table td {
    padding-left: 15px;
    padding-right: 15px;
  }
  .block-content
    form[name='stuForm'].form
    #stuInfo
    > table
    > tbody
    > tr
    > td
    > table
    > tbody
    > tr[style^='border-bottom']
    table
    tr:first-child
    td {
    padding-top: 10px;
  }
  /* Supposed to be the email field.... but... yeah */
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td:first-child > table > tbody > tr:nth-last-of-type(3) {
    padding-right: 0;
    width: 100%;
  }
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td:first-child > table > tbody > tr:last-child {
    width: 100%;
  }

  /* Student info cell */

  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table > tbody > tr:first-child {
    display: block;
    margin-top: 20px;
    width: 100%;
  }
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table > tbody > tr:first-child > td {
    display: inline-block;
    width: auto;
  }
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table > tbody > tr > td,
  .block-content form[name='stuForm'].form #addnew > table > tbody > tr > td > table > tbody > tr > td {
    display: block;
    padding: 0 0 5px;
    width: 100%;
  }
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table input,
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table select,
  .block-content form[name='stuForm'].form #addnew > table > tbody > tr > td > table input,
  .block-content form[name='stuForm'].form #addnew > table > tbody > tr > td > table select {
    box-sizing: border-box;
    display: block;
    margin-bottom: 10px;
    width: 100%;
  }
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table input[name='city'],
  .block-content form[name='stuForm'].form #addnew > table > tbody > tr > td > table input[name='acity0'],
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table input[name='st'],
  .block-content form[name='stuForm'].form #addnew > table > tbody > tr > td > table input[name='ast0'],
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table input[name='zip'],
  .block-content form[name='stuForm'].form #addnew > table > tbody > tr > td > table input[name='azip0'] {
    display: inline-block;
    width: auto;
  }
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table input[name='st'],
  .block-content form[name='stuForm'].form #addnew > table > tbody > tr > td > table input[name='ast0'] {
    min-width: 50px;
  }
}

/* Calendar
  -------------------------------------------------- */
.scrolling-wrapper .calendar > tbody > tr > td {
  min-width: 100px;
  width: 14.29%;
}

/*=============================================
=         iPads, Tablets and smaller          =
=============================================*/

@media screen and (max-width: 768px) {
  /* All pages
  -------------------------------------------------- */

  body {
    padding-top: 150px;
  }
  section.container_12 form {
    overflow: auto;
  }
  #tips {
    display: none;
  }

  header {
    align-items: center;
    background-size: 100% 100%;
    background: linear-gradient(to bottom, #014a7d, #3399cc);
    box-shadow: inset 0 0 8px rgba(0, 0, 0, 0.5);
    box-sizing: border-box;
    display: flex;
    height: 86px;
    justify-content: flex-end;
    padding-right: 55px;
    position: fixed;
  }
  #header-shadow {
    display: none;
  }
  #sub-nav {
    height: 10px;
    position: fixed;
    top: 86px;
    width: 100%;
    z-index: 89;
  }
  #status-bar {
    left: 0;
    position: fixed;
    top: 96px;
    width: 100%;
    z-index: 89;
  }
  #skin-name,
  #skin-name b {
    font-size: 12px;
    line-height: 1.2;
  }
  #skin-name {
    position: relative;
  }
  #skin-name:after {
    background: #fff;
    border-left: 1px solid #000;
    content: '';
    height: 100%;
    left: 100%;
    margin-left: 13px;
    opacity: 0.13;
    position: absolute;
    top: 0;
    width: 1px;
  }

  input#menu-trigger {
    bottom: 110px;
    right: 110%;
    position: fixed;
  }

  input#menu-trigger ~ label[for='menu-trigger'] {
    background: url(../newimages/tab-bg-mobile.png) no-repeat;
    cursor: pointer;
    display: block;
    font-size: 0;
    height: 69px;
    left: 8px;
    margin: 0 -8px -13px;
    padding: 0 8px 13px;
    position: fixed;
    top: 19px;
    width: 86px;
  }
  input#menu-trigger ~ label[for='menu-trigger']:before,
  input#menu-trigger ~ label[for='menu-trigger']:after {
    content: '';
    display: block;
    height: 100%;
    position: absolute;
    width: 100%;
  }
  input#menu-trigger ~ label[for='menu-trigger']:before {
    background: url(../newimages/icons/homebutton.png) 8px 14px no-repeat;
  }
  input#menu-trigger ~ label[for='menu-trigger']:after {
    background: url('../newimages/icons/fugue/whitearrow16.png') 50% 50% no-repeat;
    box-sizing: border-box;
    height: 60px;
    left: 70px;
    top: 8px;
    width: 23px;
  }
  input#menu-trigger:checked ~ label[for='menu-trigger']:after {
    transform: rotate(180deg);
  }
  nav#main-nav {
    background: none;
    height: 69px;
    left: 0;
    position: fixed;
    top: 0;
    z-index: 90;
    width: 100%;
  }

  nav#main-nav .container_12 {
    background: linear-gradient(to bottom, #3c3f42 0, #36393c 50px);
    box-sizing: border-box;
    display: block;
    max-height: calc(100% - 96px);
    opacity: 0;
    overflow: auto;
    padding: 12px;
    position: fixed;
    top: 86px;
    transition: all 0.1s ease;
    transform: scaleY(0);
    transform-origin: 0 0;
    max-width: 250px;
  }

  nav#main-nav input#menu-trigger:checked ~ ul.container_12 {
    opacity: 1;
    transform: scaleY(1);
  }

  /* First level menu items
  -------------------------------------------------- */

  nav#main-nav .container_12 > li {
    background-image: none;
    float: none;
    height: auto;
    padding: 0;
    width: auto;
  }
  nav#main-nav input#menu-trigger:checked ~ ul.container_12 > li {
    border-bottom: 1px solid #686a6c;
  }
  nav#main-nav .container_12 > li:last-child {
    border-bottom: none;
  }
  nav#main-nav > ul > li.current {
    margin: 0;
  }
  nav#main-nav .container_12 > li > a {
    align-items: center;
    color: #dee4e9;
    display: flex;
    font-size: 18px;
    opacity: 1;
    overflow: visible;
    padding-left: 70px;
    text-indent: 0;
    transition: none;
  }
  nav#main-nav .container_12 > li > a:hover,
  nav#main-nav .container_12 > li.current > a {
    background-color: #14608e;
    border-radius: 5px;
    box-shadow: inset 1px 1px 1px rgba(0, 0, 0, 0.56);
  }

  nav#main-nav .container_12 > li > a:after {
    color: #dee4e9;
    content: attr(title);
    font-size: 18px;
    white-space: nowrap;
  }
  nav#main-nav .container_12 > li > a[title='Online Store']:after {
    display: none;
  }

  /* Second level menu
  -------------------------------------------------- */

  nav#main-nav .container_12 > li > ul {
    display: block;
    position: static;
    top: 0;
  }
  nav#main-nav .container_12 > li > ul .menu-arrow {
    display: none;
  }
  nav#main-nav .container_12 > li > ul > li {
    background: none;
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
    border-radius: 0;
    box-shadow: none;
    float: none;
    height: auto;
    margin: 0;
    padding: 5px 0;
    transition: none;
  }
  nav#main-nav .container_12 > li > ul li.current > a {
    color: #2cabfa;
    font-weight: bold !important;
  }
  nav#main-nav .container_12 > li > ul > li > a {
    background: none !important;
    color: #fff;
    transition: none;
  }

  /* Third level menu
  -------------------------------------------------- */

  nav#main-nav .container_12 > li > ul > li .menu {
    background: none;
    position: static;
  }
  nav#main-nav .container_12 > li > ul > li .menu > ul {
    background: none;
    border: 0;
    display: block;
    box-shadow: none;
    position: static;
  }

  #breadcrumb {
    border: 0;
  }
  #breadcrumb > li[style^='background'] {
    background: 0 !important;
    padding-left: 0;
    padding-right: 0;
    width: 0;
  }
  #breadcrumb a[title='Exit'],
  #breadcrumb a[title='Exit']:hover {
    background: url('../newimages/logout-btn.png') 50% 50% no-repeat;
    font-size: 0;
    height: 59px;
    position: fixed;
    right: 10px;
    top: 12px;
    transition: opacity 0.2s ease;
    width: 35px;
    z-index: 91;
  }
  #breadcrumb a[title='Exit']:hover {
    opacity: 0.8;
  }

  /* Tabs
  -------------------------------------------------- */

  ul.tabs li > a,
  ul.side-tabs li > a,
  ul.tabs li > span,
  ul.side-tabs li > span {
    background: #2885b7;
    color: #fff;
  }
  ul.tabs li > a:hover,
  ul.side-tabs li > a:hover {
    color: #a3defd;
  }
  ul.tabs li.current > a,
  ul.tabs li.current > span {
    color: #3d3d3d;
  }
  .tabs-content > div {
    height: auto !important;
  }
  .scrolling-wrapper {
    box-sizing: border-box;
    display: block;
    margin-bottom: 1.667em;
    overflow: auto;
    width: calc(100% + 20px);
    width: 100%;
  }

  .scrolling-wrapper > * {
    margin: 0 !important;
  }

  /* Login page
  -------------------------------------------------- */

  body.login .wrapper {
    height: auto;
    left: 0;
    margin: 0 !important;
    top: 0;
    width: auto;
  }
  .login .wrapper h1 > a {
    padding-left: 15px;
    text-align: left;
  }
  .login .loginWidth {
    width: auto !important;
  }

  /* Handouts and files
  -------------------------------------------------- */

  .shortcutsR-list {
    border-bottom: 1px dashed #b7b7b7;
    padding-bottom: 20px;
    margin-bottom: 20px;
  }
  .shortcutsR-list:last-child {
    border-bottom: 0;
    margin-bottom: 0;
  }
  form[name='upForm'].form {
    border: 0 !important;
  }
  form[name='upForm'].form input[type='file'] {
    display: block;
    margin: 20px 0;
  }

  /* Practice Logs
  -------------------------------------------------- */

  #__lpform_event,
  #__lpform_fname {
    display: none;
  }

  /* Email Staff
  -------------------------------------------------- */

  .scrolling-wrapper table[width^='60'][style^='margin-left'].table {
    margin-left: 0 !important;
    width: 100% !important;
  }

  /* Process payment
  -------------------------------------------------- */

  .block-content table[style^='margin-left'] {
    margin-left: 0 !important;
    width: 100%;
  }
  .block-content table[style^='margin-left'] td[width] {
    width: auto !important;
  }
  input#amount,
  input#totalCharged {
    box-sizing: border-box;
    width: 70% !important;
  }

  #mainForm.form[name='form1'] input[type='text'],
  #mainForm.form[name='form1'] input[type='number'],
  #mainForm.form[name='form1'] input[type='password'] {
    padding-bottom: 6px;
  }

  table .chargeio input[type='text'],
  table .chargeio input[type='email'],
  table .chargeio select {
    background: white url(../newimages/old-browsers-bg/input-bg.png) repeat-x top;
    background: linear-gradient(to bottom, #d4d4d4 0, #ebebeb 3px, white 27px);
    border: 1px solid #89bad3;
    border-radius: 0.417em;
    box-sizing: border-box;
    color: #333333;
    font-size: 1em;
    height: 29px;
    line-height: 1em;
    opacity: 1 !important;
    padding: 0.5em;
  }
  .card-details > .number + div {
    padding-top: 4px;
  }
  .card-details > div {
    box-sizing: border-box;
  }
  .card-details > div:first-child {
    margin-right: 5px !important;
    width: 70%;
  }
  .card-details > div:last-child {
    width: calc(30% - 5px);
  }
  .card-details > div > input {
    width: 100% !important;
  }
  table .chargeio .type,
  table .chargeio .placeholder {
    bottom: 7px !important;
    right: 10px !important;
  }
  table .chargeio label {
    font-weight: bold;
  }

  table .chargeio .field-box fieldset,
  table .chargeio .field-box fieldset > div {
    border: 0 !important;
    width: auto;
  }
  table .chargeio .address-section .field-group {
    margin-top: 5px;
  }
  table .chargeio .address-section .field-group > div {
    border: 0 !important;
    box-sizing: border-box;
    width: calc(50% - 3px) !important;
  }
  table .chargeio .address-section input,
  table .chargeio .email-section input,
  table .chargeio .address-section select {
    max-width: 100%;
    width: 100% !important;
  }
  table .chargeio .address-section .field-group > div:first-child {
    margin-right: 5px;
  }
  .block-content table[style^='margin-left'] button[type='button'].green {
    padding-bottom: 10px;
    padding-top: 10px;
    width: 100%;
  }

  /* Profile
  -------------------------------------------------- */

  .block-content form[name='stuForm'].form {
    align-items: stretch;
    display: flex;
    flex-direction: column;
    padding-top: 30px;
  }
  .block-content form[name='stuForm'].form #stuInfo,
  .block-content form[name='stuForm'].form #addnew {
    margin-top: 50px;
  }
  .block-content form[name='stuForm'].form .enterbutton {
    order: 100;
    position: static;
    right: auto;
    top: auto;
  }
  .block-content form[name='stuForm'].form .enterbutton button {
    display: block;
    margin-bottom: 20px;
    padding-bottom: 10px;
    padding-top: 10px;
    width: 100%;
  }
  .block-content form[name='stuForm'].form #addnewbut {
    order: 110;
  }
  .block-content form[name='stuForm'].form br {
    display: none;
  }
  .block-content form[name='stuForm'].form fieldset {
    border: 0;
    padding: 0;
  }
  .block-content form[name='stuForm'].form fieldset legend {
    margin: 0;
  }

  /* Music Studio
  -------------------------------------------------- */

  section .block-border[style^='margin-top'] {
    min-width: 0 !important;
    width: auto !important;
  }

  #MainContentBlock #player-div {
    align-items: center;
    display: flex;
    flex-direction: column;
  }
  #MainContentBlock #player-div .WavePlayer {
    align-items: center;
    display: flex;
    flex-direction: column;
    padding: 30px 0 20px;
  }
  #MainContentBlock #player-div .WavePlayer .player-header {
    color: #000;
    margin-bottom: 10px;
    order: -2;
  }
  #MainContentBlock #player-div .WavePlayer #record-ready {
    order: -1;
    align-self: stretch;
    width: auto;
  }
  #MainContentBlock #player-div #metronome {
    margin-bottom: 20px;
    position: static;
  }
  #MainContentBlock #player-div #tempo-helper {
    order: -1;
    margin-top: 20px;
  }
  #MainContentBlock #player-div #control-panel {
    padding: 0;
    right: auto;
    text-align: center;
    width: auto !important;
  }

  #MainContentBlock #player-div .take-action {
    align-items: stretch;
    background: #dcebf2;
    border: 0;
    box-sizing: border-box;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    order: -2;
    padding: 10px 5px 0;
    position: static;
    width: 100%;
  }
  #MainContentBlock #player-div .take-action button.green {
    box-sizing: border-box;
    flex: 1 1 calc(50% - 10px);
    margin: 0 5px 10px;
  }

  #MainContentBlock #player-div .take-action button.green br {
    display: none;
  }
  #MainContentBlock #player-div #record-ready,
  #MainContentBlock #player-div #tempo-helper {
    display: block;
    position: static;
  }
}

/*=============================================
=      Small screens, laptops only            =
=============================================*/

@media screen and (min-width: 769px) and (max-width: 1024px) {
  body.login .wrapper {
    height: auto;
    width: 480px;
  }
}

/*=============================================
=          iPads, Tablets only                =
=============================================*/

@media screen and (min-width: 481px) and (max-width: 768px) {
}

/*=============================================
 =               Mobile only                   =
 =============================================*/

@media screen and (max-width: 480px) {
  /* Login
  -------------------------------------------------- */

  body.login .tabs li {
    flex: 1 1 auto;
  }
  body.login .tabs li:first-child {
    flex: 1 2 auto;
  }
  body.login .wrapper h1 > a {
    font-size: 25px;
  }

  /* Volunteer
  -------------------------------------------------- */

  .block-content form[name='vform'].form select,
  .block-content form[name='vform'].form button[type='submit'] {
    box-sizing: border-box;
    display: block;
    width: 100%;
  }

  /* Profile
  -------------------------------------------------- */

  .block-content > h1 > a[onclick^="window.open('stuschedsR"] {
    left: auto;
    right: 0;
    top: calc(100% + 10px);
  }
  .block-content > h1 > a[onclick^="window.open('stusizes"] {
    left: auto;
    right: 40px;
    top: calc(100% + 10px);
  }

  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table > tbody > tr,
  .block-content form[name='stuForm'].form #addnew > table > tbody > tr > td > table > tbody > tr {
    border: 0;
    display: block;
    padding: 0;
    width: 100%;
  }
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table > tbody > tr:first-child {
    border: 1px dashed #b7b7b7;
    border-left: 0;
    border-right: 0;
    margin: 15px 0;
    padding: 15px 0 10px;
  }
  .block-content form[name='stuForm'].form #addnew > table > tbody > tr > td > table > tbody > tr:first-child {
    margin-top: 30px;
  }
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table > tbody > tr:nth-child(2n),
  .block-content form[name='stuForm'].form #addnew > table > tbody > tr > td > table > tbody > tr:nth-child(2n + 1) {
    padding-right: 0;
  }
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table input[name='city'],
  .block-content form[name='stuForm'].form #addnew > table > tbody > tr > td > table input[name='acity0'],
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table input[name='st'],
  .block-content form[name='stuForm'].form #addnew > table > tbody > tr > td > table input[name='ast0'],
  .block-content form[name='stuForm'].form #stuInfo > table > tbody > tr > td > table input[name='zip'],
  .block-content form[name='stuForm'].form #addnew > table > tbody > tr > td > table input[name='azip0'] {
    display: block;
    width: 100% !important;
  }

  /* Music Studio
  -------------------------------------------------- */

  #MainContentBlock #player-div .take-action button.green {
    flex: 1 1 100%;
  }
}
